%define module	PAR-Dist
%define name	perl-%{module}
%define version 0.29
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Create and manipulate PAR distributions
License:	Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/PAR/%{module}-%{version}.tar.gz
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module creates and manipulates *PAR distributions*. They are
architecture-specific PAR files, containing everything under blib/ of CPAN
distributions after their "make" or "Build" stage, a META.yml describing
metadata of the original CPAN distribution, and a MANIFEST detailing all files
within it. Digitally signed PAR distributions will also contain a SIGNATURE
file.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/PAR





%changelog
* Fri Feb 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2008.1
+ Revision: 164134
- update to new version 0.29

* Wed Feb 06 2008 Funda Wang <fundawang@mandriva.org> 0.28-1mdv2008.1
+ Revision: 162942
- update to new version 0.28

* Tue Feb 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.27-1mdv2008.1
+ Revision: 162589
- update to new version 0.27

* Mon Feb 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.26-1mdv2008.1
+ Revision: 162065
- update to new version 0.26

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.25-1mdv2008.0
+ Revision: 59277
- 0.25

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2008.0
+ Revision: 55820
- update to new version 0.24

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdv2008.0
+ Revision: 46657
- update to new version 0.23


* Sat Mar 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.21-1mdv2007.0
+ Revision: 131695
- 0.21
- 0.18

* Tue Aug 08 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-1mdv2007.0
+ Revision: 53972
- 0.15
- Import perl-PAR-Dist

* Sat Jun 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2007.0
- New version 0.10

* Wed May 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2007.0
- new version
- spec cleanup
- rpmbuildupate aware
- fix directory ownership

* Tue Feb 14 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.08-1mdk
- 0.08

* Mon Feb 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.07-3mdk
- rebuild; spec cleanup

* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.07-2mdk
- rebuild for new perl

* Sat May 22 2004 Florin <florin@mandrakesoft.com> 0.07-1mdk
- first Mandrake Release

